<?xml version="1.0" encoding="utf-8"?>
<C4IT-M42-SchemaInstaller Product="C4IT LIAM" Version="3.0.2.0">
	<Include>C4IT-M42-SchemaInstaller-Global.xml</Include>
	<Include>C4IT-M42-SchemaInstaller-OwnershipCleanup.xml</Include>
	<SupportedVersions>
		<Version>9.1.2</Version>
		<Version>9.1.3</Version>
	</SupportedVersions>
	<Variables>
		<Variable Name="ENCRYPTION_KEY" Type="XMLFILE" Default="">
			<FilePath>@M42INSTALLATIONPATH@bin\securityCryptographyConfiguration.config</FilePath>
			<XPath>/securityCryptographyConfiguration/databaseEncryption</XPath>
			<XAttribute>key</XAttribute>
		</Variable>
	</Variables>
	<UpdateInfo>
		<NoRemovement Type="C4IT_SQValidatorPasswordType_Pickup" ID="*"/>
		<NoRemovement Type="C4IT_SecurityQuestion_Pickup" ID="*"/>
		<NoRemovement Type="C4IT_DurationPeriodPickupType" ID="*"/>
		<NoRemovement Type="CTMAppointmentPickupClassType" ID="*"/>
		<NoRemovement Type="SPSGenericConnectorType" ID="*"/>
		<NoRemovement Type="C4IT_SCPlus_limitedServiceType" ID="66a18f89-ff73-cc79-b9a8-08d73298dcfa"/>
		<NoRemovement Type="C4IT_SCPlusConfigurationType" ID="*"/>
		<NoRemovement Type="C4IT_LIAMConfigurationType" ID="*"/>
		<NoRemovement Type="C4IT_LIAMNamingConventionType" ID="*"/>
		<NoRemovement Type="C4IT_GCC_DataAreaCollectorType" ID="*"/>
		<NoRemovement Type="SVCServiceProvisioningTypeAssignADGroup" ID="55ffd91e-539f-c08d-4565-08d7385290d1"/>
		<NoRemovement Type="PLSCTypeRule" ID="*"/>
		<VersionSqlGet>
			SELECT version FROM [C4IT_Liam_ConfigClassBase]
			WHERE ID='d033bf66-6c23-eb11-5481-000c299eb325'
		</VersionSqlGet>
		<VersionSqlSet>
			UPDATE [C4IT_Liam_ConfigClassBase] SET version=@version
			WHERE ID='d033bf66-6c23-eb11-5481-000c299eb325'
		</VersionSqlSet>
	</UpdateInfo>
	<Removements>
		<Replace Value="%ENCRYPTION_KEY%">NewDataSet/C4IT_Liam_ConfigClassBase/encryptionKey</Replace>
	</Removements>
</C4IT-M42-SchemaInstaller>
